Page MenuHomePhabricator

Restrict pygments with firejail
Closed, ResolvedPublic

Description

SyntaxHighlight shells out to pygments, which should be restricted with firejail.

Event Timeline

Legoktm created this task.Dec 8 2017, 9:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2017, 9:12 PM

Change 396477 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Use shell restrictions to contain pygments

https://gerrit.wikimedia.org/r/396477

Krinkle moved this task from Backlog to Accepted on the SyntaxHighlight board.Dec 22 2017, 3:12 AM

Change 396477 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Use shell restrictions to contain pygments

https://gerrit.wikimedia.org/r/396477

Legoktm closed this task as Resolved.Jan 12 2018, 1:27 AM

\o/